## qtox-alpha 201706231847~b392e2cmx17+1

=== debian/changelog ===
qtox-alpha (201706231847~b392e2cmx17+1) mx; urgency=medium

  * Rebuild for MX-17
  
 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 02 Jul 2017 22:00:26 -0400

qtox-alpha (201706231847~b392e2c) unstable; urgency=low

  * Build upstream version from git (@b392e2c320800c38f44370dd7deee53e7497b167)

 -- Anton Batenev <antonbatenev@yandex.ru>  Fri, 23 Jun 2017 18:47:48 +0300
